to_list.hpp File Reference
`#include <msgpack/preprocessor/punctuation/comma.hpp>`
`#include <msgpack/preprocessor/punctuation/paren.hpp>`
`#include <msgpack/preprocessor/seq/detail/binary_transform.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_TO_LIST(seq) MSGPACK_PP_SEQ_TO_LIST_I(MSGPACK_PP_SEQ_BINARY_TRANSFORM(seq))
#define | MSGPACK_PP_SEQ_TO_LIST_I(bseq) MSGPACK_PP_SEQ_TO_LIST_A bseq MSGPACK_PP_NIL MSGPACK_PP_SEQ_TO_LIST_B bseq
#define | MSGPACK_PP_SEQ_TO_LIST_A(m, e) m(MSGPACK_PP_LPAREN() e MSGPACK_PP_COMMA() MSGPACK_PP_SEQ_TO_LIST_A_ID)
#define | MSGPACK_PP_SEQ_TO_LIST_A_ID() MSGPACK_PP_SEQ_TO_LIST_A
#define | MSGPACK_PP_SEQ_TO_LIST_B(m, e) m(MSGPACK_PP_RPAREN() MSGPACK_PP_SEQ_TO_LIST_B_ID)
#define | MSGPACK_PP_SEQ_TO_LIST_B_ID() MSGPACK_PP_SEQ_TO_LIST_B

## Macro Definition Documentation

## MSGPACK_PP_SEQ_TO_LIST

#define MSGPACK_PP_SEQ_TO_LIST | ( |  | seq | ) | MSGPACK_PP_SEQ_TO_LIST_I(MSGPACK_PP_SEQ_BINARY_TRANSFORM(seq))

## MSGPACK_PP_SEQ_TO_LIST_A

#define MSGPACK_PP_SEQ_TO_LIST_A | ( |  | m,
|  |  | e
| ) |  | m(MSGPACK_PP_LPAREN() e MSGPACK_PP_COMMA() MSGPACK_PP_SEQ_TO_LIST_A_ID)

## MSGPACK_PP_SEQ_TO_LIST_A_ID

#define MSGPACK_PP_SEQ_TO_LIST_A_ID | ( |  | ) | MSGPACK_PP_SEQ_TO_LIST_A

## MSGPACK_PP_SEQ_TO_LIST_B

#define MSGPACK_PP_SEQ_TO_LIST_B | ( |  | m,
|  |  | e
| ) |  | m(MSGPACK_PP_RPAREN() MSGPACK_PP_SEQ_TO_LIST_B_ID)

## MSGPACK_PP_SEQ_TO_LIST_B_ID

#define MSGPACK_PP_SEQ_TO_LIST_B_ID | ( |  | ) | MSGPACK_PP_SEQ_TO_LIST_B

## MSGPACK_PP_SEQ_TO_LIST_I

#define MSGPACK_PP_SEQ_TO_LIST_I | ( |  | bseq | ) | MSGPACK_PP_SEQ_TO_LIST_A bseq MSGPACK_PP_NIL MSGPACK_PP_SEQ_TO_LIST_B bseq